import java.applet.Applet;
import java.awt.*;
import javax.swing.*;

public class Fig7_9 extends Applet {

    /**
     * Initializes the applet.  You never need to call this directly; it is
     * called automatically by the system once the applet is created.
     */
    public void init() {
	setLayout(new BorderLayout());
	JPanel panel = new JPanel();
	String message = "Drive C: is not responding";
	add(new TextArea(message), BorderLayout.CENTER);
	panel.setLayout(new GridLayout(1, 3, 10, 5));
	panel.add(new JButton("Abort"));
	panel.add(new JButton("Retry"));
	panel.add(new JButton("Fail"));
	add(panel, BorderLayout.SOUTH);
	resize(250, 100);
    }

    /**
     * Called to start the applet.  You never need to call this directly; it
     * is called when the applet's document is visited.
     */
    public void start() {
    }

    /**
     * Called to stop the applet.  This is called when the applet's document is
     * no longer on the screen.  It is guaranteed to be called before destroy()
     * is called.  You never need to call this method directly
     */
    public void stop() {
    }

    /**
     * Cleans up whatever resources are being held.  If the applet is active
     * it is stopped.
     */
    public void destroy() {
    }
}

